- Qt 5.15
- Qt 3D
- QML Types
- Light QML Type
- Qt 5.15.11 Reference Documentation

# Light QML Type

Encapsulate a QAbstractLight object in a Qt 3D scene. More...

Import Statement: | import Qt3D.Render 2.15
Since: | Qt 5.6
Instantiates: | QAbstractLight

- List of all members, including inherited members

## Properties

- type : enumeration

## Detailed Description

## Property Documentation

[read-only] type : enumeration

Holds the particular type of light.

Constant | Description
--- | ---
`Light.PointLight` | A point light
`Light.DirectionalLight` | A directional light
`Light.SpotLight` | a spot light